searchData={"items":[{"type":"module","title":"Windows.API.DataProtection","doc":"","ref":"Windows.API.DataProtection.html"},{"type":"function","title":"Windows.API.DataProtection.unwrap/1","doc":"Unwraps a binary for the given user.","ref":"Windows.API.DataProtection.html#unwrap/1"},{"type":"function","title":"Examples - Windows.API.DataProtection.unwrap/1","doc":"Demonstration of the round-trip property:\n\n  ```elixir\n  iex> \"some confidential input value\"\n  ...> |> wrap()   # encrypt/wrap\n  ...> |> unwrap() # decrypt/unwrap\n  \"some confidential input value\"\n  ```","ref":"Windows.API.DataProtection.html#unwrap/1-examples"},{"type":"function","title":"Windows.API.DataProtection.wrap/1","doc":"Wraps a binary for the given user.","ref":"Windows.API.DataProtection.html#wrap/1"},{"type":"function","title":"Examples - Windows.API.DataProtection.wrap/1","doc":"```elixir\n  iex> \"some confidential input value\"\n  ...> |> wrap()\n  ...> |> byte_size()\n  ...> |> (fn length -> length > 0 end).()\n  true\n  ```","ref":"Windows.API.DataProtection.html#wrap/1-examples"},{"type":"extras","title":"Explore the Windows Data Protection API from Elixir","doc":"# Explore the Windows Data Protection API from Elixir\n\n```elixir\nMix.install([\n  {:ex_windows_api_dataprotection, \"~> 0.1.1\"}\n])\n```","ref":"demo.html"},{"type":"extras","title":"Section - Explore the Windows Data Protection API from Elixir","doc":"```elixir\nimport Windows.API.DataProtection, only: [wrap: 1, unwrap: 1]\n\n\"Hello world\"\n|> wrap()\n|> unwrap()\n```\n\n```elixir\n\"#{System.get_env(\"USERPROFILE\")}\\\\.azure\\\\msal_token_cache.bin\"\n|> File.read!()\n|> Windows.API.DataProtection.unwrap()\n|> IO.puts()\n```","ref":"demo.html#section"}],"content_type":"text/markdown"}